/**
 * The component MainContainer is the main content container of the application.
 * It handles a togglable/swipable Sidebar menu and a container to display the content of a page.
 */

/**
 * Outter Container, Sidebar & Main Container
 */
.component-main-container,
.component-main-container .sidebar-container,
.component-main-container .content-container {
  position: relative;
  float: left;
  left: 0px;
  min-height: calc(var(--vh, 1vh) * 100);
}
.component-main-container .sidebar-container {
  top: 0px;
}

/**
 * Outter Container only
 */
.component-main-container {
  width: 100%;
  height: auto;
  padding: 0px;
}

/**
 * Sidebar & Main Container
 */
.component-main-container .sidebar-container,
.component-main-container .content-container {
  height: auto;
}

/**
 * Sidebar only
 */
.component-main-container .sidebar-container {
  width: 0px;

  animation-name: expand-sidebar;
  animation-duration: 500ms;
  animation-fill-mode: forwards;

  -webkit-animation-name: expand-sidebar;
  -webkit-animation-duration: 500ms;
  -webkit-animation-fill-mode: forwards;

  -moz-animation-name: expand-sidebar;
  -moz-animation-duration: 500ms;
  -moz-animation-fill-mode: forwards;

  -ms-animation-name: expand-sidebar;
  -ms-animation-duration: 500ms;
  -ms-animation-fill-mode: forwards;
}
.component-main-container .sidebar-container.shrink-sidebar {
  width: 115px;

  animation-name: shrink-sidebar;
  animation-duration: 500ms;
  animation-fill-mode: forwards;

  -webkit-animation-name: shrink-sidebar;
  -webkit-animation-duration: 500ms;
  -webkit-animation-fill-mode: forwards;

  -moz-animation-name: shrink-sidebar;
  -moz-animation-duration: 500ms;
  -moz-animation-fill-mode: forwards;

  -ms-animation-name: shrink-sidebar;
  -ms-animation-duration: 500ms;
  -ms-animation-fill-mode: forwards;
}
.sidebar {
  position: fixed;
  top: 80px;
  left: 0px;
  z-index: 0;
  width: 25%;
  min-height: 90%;
  padding-top: 80px;
  padding-left: 14px;
  padding-right: 10px;
  padding-bottom: 20px;
}
.sidebar::-webkit-scrollbar {
  width: 12px;
  height: 12px;
}
.sidebar::-webkit-scrollbar-track {
  background: rgba(0, 0, 0, 0.1);
}
.sidebar::-webkit-scrollbar-thumb {
  background: rgba(0, 0, 0, 0.5);
}
.sidebar .container,
.sidebar .container-fluid {
  opacity: 0;

  animation-name: fade-in;
  animation-duration: 2.5s;
  animation-fill-mode: forwards;

  -webkit-animation-name: fade-in;
  -webkit-animation-duration: 2.5s;
  -webkit-animation-fill-mode: forwards;

  -moz-animation-name: fade-in;
  -moz-animation-duration: 2.5s;
  -moz-animation-fill-mode: forwards;

  -ms-animation-name: fade-in;
  -ms-animation-duration: 2.5s;
  -ms-animation-fill-mode: forwards;
}

/**
 * Sidebar-toggle positioning
 */
.sidebar-toggle,
.sidebar-toggle.shrink-sidebar {
  display: block;
  position: fixed;
  left: 0px;
  top: 50px;
  z-index: 99;
  height: 63px;
  width: 110px;
  margin: 0px;
  padding: 0px;
  text-align: right;
  background-color: rgba(0,0,0,0.1);
  color: #f0f0f0;
  cursor: pointer;
}
.sidebar-toggle .sidebar-toggle-img,
.sidebar-toggle.shrink-sidebar .sidebar-toggle-img {
  display: block;
  position:relative;
  min-width: 24px;
  min-height: 24px;
  width: 33%;
  height: 33%;
  top: 30%;
  height: 33%;
  margin: auto;
}
.sidebar-toggle-img-tap {
  display: block;
  position: absolute;
  top:0px;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.01);
}

/**
 * Sidebar-toggle rotation
 */
.sidebar-toggle object,
.sidebar-toggle img {
  -ms-transform: rotate(180deg);
  -webkit-transform: rotate(180deg);
  transform: rotate(180deg);

  -webkit-animation-name: spin-right;
  -webkit-animation-duration: 500ms;
  -webkit-animation-iteration-count: 1;
  -webkit-animation-timing-function: linear;
  -webkit-animation-fill-mode: forwards;

  -moz-animation-name: spin-right;
  -moz-animation-duration: 500ms;
  -moz-animation-iteration-count: 1;
  -moz-animation-timing-function: linear;
  -moz-animation-fill-mode: forwards;

  -ms-animation-name: spin-right;
  -ms-animation-duration: 500ms;
  -ms-animation-iteration-count: 1;
  -ms-animation-timing-function: linear;
  -ms-animation-fill-mode: forwards;

  animation-name: spin-right;
  animation-duration: 500ms;
  animation-iteration-count: 1;
  animation-timing-function: linear;
  animation-fill-mode: forwards;
}
.sidebar-toggle.shrink-sidebar object,
.sidebar-toggle.shrink-sidebar img {
  -ms-transform: rotate(0deg);
  -webkit-transform: rotate(0deg);
  transform: rotate(0deg);

  -webkit-animation-name: spin-left;
  -webkit-animation-duration: 500ms;
  -webkit-animation-iteration-count: 1;
  -webkit-animation-timing-function: linear;
  -webkit-animation-fill-mode: forwards;

  -moz-animation-name: spin-left;
  -moz-animation-duration: 500ms;
  -moz-animation-iteration-count: 1;
  -moz-animation-timing-function: linear;
  -moz-animation-fill-mode: forwards;

  -ms-animation-name: spin-left;
  -ms-animation-duration: 500ms;
  -ms-animation-iteration-count: 1;
  -ms-animation-timing-function: linear;
  -ms-animation-fill-mode: forwards;

  animation-name: spin-left;
  animation-duration: 500ms;
  animation-iteration-count: 1;
  animation-timing-function: linear;
  animation-fill-mode: forwards;
}

/**
 * Expand sidebar
 */
@keyframes expand-sidebar {
  from {
    width: 0px;
  }
  to {
    width: 115px;
  }
}
@-moz-keyframes expand-sidebar {
  from {
    width: 0px;
  }
  to {
    width: 115px;
  }
}
@-webkit-keyframes expand-sidebar {
  from {
    width: 0px;
  }
  to {
    width: 115px;
  }
}

/**
 * Shrink sidebar
 */
@keyframes shrink-sidebar {
  from {
    width: 115px;
  }
  to {
    width: 0px;
  }
}
@-moz-keyframes shrink-sidebar {
  from {
    width: 115px;
  }
  to {
    width: 0px;
  }
}
@-webkit-keyframes shrink-sidebar {
  from {
    width: 115px;
  }
  to {
    width: 0px;
  }
}

/**
 * Spin right
 */
@-moz-keyframes spin-right {
  from {
    -moz-transform: rotate(0deg);
  }
  to {
    -moz-transform: rotate(180deg);
  }
}
@-webkit-keyframes spin-right {
  from {
    -webkit-transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(180deg);
  }
}
@keyframes spin-right {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(180deg);
  }
}

/**
 * Spin left
 */
@-moz-keyframes spin-left {
  from {
    -moz-transform: rotate(180deg);
  }
  to {
    -moz-transform: rotate(360deg);
  }
}
@-webkit-keyframes spin-left {
  from {
    -webkit-transform: rotate(180deg);
  }
  to {
    -webkit-transform: rotate(360deg);
  }
}
@keyframes spin-left {
  from {
    transform: rotate(180deg);
  }
  to {
    transform: rotate(360deg);
  }
}

/**
 * Main Container only
 */
.component-main-container .content-container,
.component-main-container .content-container.shrinked-content {
  margin: auto;
  padding-left: 20px;
  padding-right: 20px;
  padding-bottom: 20px;
  background-color: #fafafa;
}
.component-main-container .content-container,
.component-main-container .content-container .cmc-container .page-title {
  width: 100%;

  animation-name: expand-content;
  animation-duration: 500ms;
  animation-fill-mode: forwards;

  -webkit-animation-name: expand-content;
  -webkit-animation-duration: 500ms;
  -webkit-animation-fill-mode: forwards;

  -moz-animation-name: expand-content;
  -moz-animation-duration: 500ms;
  -moz-animation-fill-mode: forwards;

  -ms-animation-name: expand-content;
  -ms-animation-duration: 500ms;
  -ms-animation-fill-mode: forwards;
}
.component-main-container .content-container.shrinked-content,
.component-main-container .content-container.shrinked-content .cmc-container .page-title {
  width: 75%;

  animation-name: shrink-content;
  animation-duration: 500ms;
  animation-fill-mode: forwards;

  -webkit-animation-name: shrink-content;
  -webkit-animation-duration: 500ms;
  -webkit-animation-fill-mode: forwards;

  -moz-animation-name: shrink-content;
  -moz-animation-duration: 500ms;
  -moz-animation-fill-mode: forwards;

  -ms-animation-name: shrink-content;
  -ms-animation-duration: 500ms;
  -ms-animation-fill-mode: forwards;
}
.cmc-container {
  display: block;
  position: relative;
  height: auto;
  width: 100%;
  left: 0px;
  padding-top: 0px;
  padding-bottom: 60px;
  overflow-x: auto;
}
.cmc-container .container,
.cmc-container .container-fluid {
  opacity: 0;
  max-width: 100%;

  animation-name: fade-in;
  animation-duration: 3s;
  animation-fill-mode: forwards;

  -webkit-animation-name: fade-in;
  -webkit-animation-duration: 3s;
  -webkit-animation-fill-mode: forwards;

  -moz-animation-name: fade-in;
  -moz-animation-duration: 3s;
  -moz-animation-fill-mode: forwards;

  -ms-animation-name: fade-in;
  -ms-animation-duration: 3s;
  -ms-animation-fill-mode: forwards;
}
.cmc-container .row {
  margin-left: 0px;
  margin-right: 0px;
}
.cmc-container .page-title {
  display: inline;
  position: fixed;
  height: 63px;
  margin-left: -20px;
  margin-top: -100px;
  padding-left: 30px;
  padding-right: 30px;
  padding-top: 5px;
  padding-bottom: 6px;
  z-index: 10;
  overflow-y: auto;
  border-bottom: 1px solid #e6e6e6;
  background-color: #fefefe;
}

.cmc-container.unit-1 .page-title {
  color: #F1BC5C;
}
.cmc-container.unit-2 .page-title {
  color: #C4414A;
}
.cmc-container.unit-3 .page-title {
  color: #23588D;
}

/**
 * Expand content
 */
@keyframes expand-content {
  from {
    width: calc(100% - 115px);
  }
  to {
    width: 100%;
  }
}
@-moz-keyframes expand-content {
  from {
    width: calc(100% - 115px);
  }
  to {
    width: 100%;
  }
}
@-webkit-keyframes expand-content {
  from {
    width: calc(100% - 115px);
  }
  to {
    width: 100%;
  }
}

/**
 * Shrink content
 */
@keyframes shrink-content {
  from {
    width: 100%;
  }
  to {
    width: calc(100% - 115px);
  }
}
@-moz-keyframes shrink-content {
  from {
    width: 100%;
  }
  to {
    width: calc(100% - 115px);
  }
}
@-webkit-keyframes shrink-content {
  from {
    width: 100%;
  }
  to {
    width: calc(100% - 115px);
  }
}

@media (max-width: 992px) {

  .cmc-container {
    min-height: 850px;
  }

  /**
   * Expand content
   */
  @keyframes expand-content {
    from {
      width: 100%;
    }
    to {
      width: 100%;
    }
  }
  @-moz-keyframes expand-content {
    from {
      width: 100%;
    }
    to {
      width: 100%;
    }
  }
  @-webkit-keyframes expand-content {
    from {
      width: 100%;
    }
    to {
      width: 100%;
    }
  }

  /**
   * Shrink content
   */
  @keyframes shrink-content {
    from {
      width: 100%;
    }
    to {
      width: 100%;
    }
  }
  @-moz-keyframes shrink-content {
    from {
      width: 100%;
    }
    to {
      width: 100%;
    }
  }
  @-webkit-keyframes shrink-content {
    from {
      width: 100%;
    }
    to {
      width: 100%;
    }
  }

}

@media (max-width: 767px) {

  .component-main-container {
    top: -10px;
  }
  .component-main-container .content-container,
  .component-main-container .content-container.shrinked-content {
    width: 100%;
    min-width: 100%;
    padding: 0px;
  }
  .component-main-container .sidebar-container {
    overflow-y: auto;
    overflow-x: auto;
  }

  .cmc-container {
    top: 50px;
    padding-top: 10px;
  }
  .cmc-container .page-title {
    width: 100%;
    min-width: 100%;
    height: 66px;
    margin-left: 0px;
    margin-top: -110px;
    padding-left: 25px;
    padding-right: 25px;
    padding-bottom: 10px;
    z-index: 1;
  }
  .cmc-container .page-title .heading-3 {
    margin-top: 33px;
    margin-bottom: 0px;
    margin-left: 5px;
    font-size: 14px;
  }
}

/**
 * Minified Sidebar and Maxified Content-container
 */
.component-main-container .sidebar-container.minified,
.component-main-container .sidebar-container.minified .sidebar,
.component-main-container .sidebar-container.minified .sidebar-bg {
  width: 0px;

  animation-name: expand-minified-sidebar;
  animation-duration: 500ms;
  animation-fill-mode: forwards;

  -webkit-animation-name: expand-minified-sidebar;
  -webkit-animation-duration: 500ms;
  -webkit-animation-fill-mode: forwards;

  -moz-animation-name: expand-minified-sidebar;
  -moz-animation-duration: 500ms;
  -moz-animation-fill-mode: forwards;

  -ms-animation-name: expand-minified-sidebar;
  -ms-animation-duration: 500ms;
  -ms-animation-fill-mode: forwards;
}
.component-main-container .sidebar-container.minified.shrink-sidebar,
.component-main-container .sidebar-container.minified.shrink-sidebar .sidebar,
.component-main-container .sidebar-container.minified.shrink-sidebar .sidebar-bg {
  width: 100px;

  animation-name: shrink-minified-sidebar;
  animation-duration: 500ms;
  animation-fill-mode: forwards;

  -webkit-animation-name: shrink-minified-sidebar;
  -webkit-animation-duration: 500ms;
  -webkit-animation-fill-mode: forwards;

  -moz-animation-name: shrink-minified-sidebar;
  -moz-animation-duration: 500ms;
  -moz-animation-fill-mode: forwards;

  -ms-animation-name: shrink-minified-sidebar;
  -ms-animation-duration: 500ms;
  -ms-animation-fill-mode: forwards;
}
.sidebar.minified {
  position: fixed;
  top: 80px;
  left: 0px;
  z-index: 0;
  min-height: calc(var(--vh, 1vh) * 100);
  padding-top: 80px;
  padding-left: 14px;
  padding-right: 10px;
  padding-bottom: 20px;
}
.sidebar-container.minified,
.sidebar-container.minified .sidebar-bg,
.sidebar-container.minified .filter,
.sidebar {
  width: 115px;
}
.sidebar-container.minified .sidebar-bg {
  height: calc(var(--vh, 1vh) * 100);
}

.component-main-container .content-container.maxified,
.component-main-container .content-container.shrinked-content.maxified {
  width:calc(100% - 115px);
}

/**
 * Expand minified sidebar
 */
@keyframes expand-minified-sidebar {
  from {
    width: 0px;
  }
  to {
    width: 115px;
  }
}
@-moz-keyframes expand-minified-sidebar {
  from {
    width: 0px;
  }
  to {
    width: 115px;
  }
}
@-webkit-keyframes expand-minified-sidebar {
  from {
    width: 0px;
  }
  to {
    width: 115px;
  }
}

/**
 * Shrink minified sidebar
 */
 @keyframes shrink-minified-sidebar {
  from {
    width: 115px;
  }
  to {
    width: 0px;
  }
}
@-moz-keyframes shrink-minified-sidebar {
  from {
    width: 115px;
  }
  to {
    width: 0px;
  }
}
@-webkit-keyframes shrink-minified-sidebar {
  from {
    width: 115px;
  }
  to {
    width: 0px;
  }
}

@media(max-width:992px) {
  
  /**
   * Sidebar
   */
  .sidebar, 
  .sidebar-container.minified, 
  .sidebar-container.minified .filter, 
  .sidebar-container.minified .sidebar-bg {
    min-height: 975px;
    min-width:0px;

    animation-name: expand-minified-sidebar;
    animation-duration: 500ms;
    animation-fill-mode: forwards;

    -webkit-animation-name: expand-minified-sidebar;
    -webkit-animation-duration: 500ms;
    -webkit-animation-fill-mode: forwards;

    -moz-animation-name: expand-minified-sidebar;
    -moz-animation-duration: 500ms;
    -moz-animation-fill-mode: forwards;

    -ms-animation-name: expand-minified-sidebar;
    -ms-animation-duration: 500ms;
    -ms-animation-fill-mode: forwards;
  }
  .sidebar.minified {
    padding-left: 2px;
  }

  /**
   * Expand minified sidebar
   */
  @keyframes expand-minified-sidebar {
    from {
      width: 0px;
    }
    to {
      width: 115px;
    }
  }
  @-moz-keyframes expand-minified-sidebar {
    from {
      width: 0px;
    }
    to {
      width: 115px;
    }
  }
  @-webkit-keyframes expand-minified-sidebar {
    from {
      width: 0px;
    }
    to {
      width: 115px;
    }
  }

  /**
   * Main container
   */
  .component-main-container .content-container {
    min-width: 0%;

    animation-name: expand-content;
    animation-duration: .5s;
    animation-fill-mode: forwards;

    -webkit-animation-name: expand-content;
    -webkit-animation-duration: .5s;
    -webkit-animation-fill-mode: forwards;

    -moz-animation-name: expand-content;
    -moz-animation-duration: .5s;
    -moz-animation-fill-mode: forwards;

    -ms-animation-name: expand-content;
    -ms-animation-duration: .5s;
    -ms-animation-fill-mode: forwards;
  }
  .component-main-container .content-container.maxified {
    width: calc(100% - 100px);
  }

  /**
  * Expand content
  */
  @keyframes expand-content {
    from {
      width: 100%;
    }
    to {
      width: 100%;
    }
  }
  @-moz-keyframes expand-content {
    from {
      width: 100%;
    }
    to {
      width: 100%;
    }
  }
  @-webkit-keyframes expand-content {
    from {
      width: 100%;
    }
    to {
      width: 100%;
    }
  }

}